function[signalPoFiltracii]= EMDFiltracia(signal)
% EMDFiltracia - funkcia predstavuje filtraciu vstupneho signalu s vyuzitim EMD (empirickeho rozkladu signalu)
% aplikuje EMD na reane signály a rozlozi povodny signal na 10 IMF, kedy posledne 2 su odstranene (najnizsie frekvencie) tym ze su odcitane zo signalu
% Syntax: [signalPoFiltracii]= EMDFiltracia(signal)
% Vstupy:
    % signal - vstupny signal, na ktory je aplikovana filtracia
% Vystupy:
    % signalPoFiltracii - signal s odfiltrovanym nizkofrevencnym rusenim
% Autor: Martina Babicova
    vystupneIMF = eemd(signal,0,1,10);
    signalRusenie = vystupneIMF(9,:)+ vystupneIMF(10,:);
    signalPoFiltracii = signal - signalRusenie;
end
